Subject: Re: Successful build of GCC 4.2.0 RC3 on latest Cygwin snapshot 20070427
From: "Aaron Gray" <[email-masked]>
To: "Aaron W. LaFramboise" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 10 May 2007 00:52:30 +0100
List-Id: <cygwin.cygwin.com>

> Aaron Gray wrote:
>
>>> One issue that might affect many some is that COM doesn't work. 
>>> <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27067> has a patch that is 
>>> pending review I guess, but probably won't go into 4.2.
>
>> Does this effect XPCOM meaning Mozilla and friends will not compile ?
>
> It is triggered anywhere multiple inheritance is combined with stdcall. 
> Since I believe XPCOM uses stdcall on Windows (but "cdecl" on other 
> targets), I believe the answer here is 'Yes, Mozilla will not compile.'

Mozilla is built using Microsoft cl on Windows. And if 'cdecl' is used on 
Unix then there is no problem with XPCOM and GCC 4.2.0 RC3.

Aaron

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/